net.sf.okapi.common.exceptions

## Class OkapiNotImplementedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sf.okapi.common.exceptions.OkapiException
        - - net.sf.okapi.common.exceptions.OkapiNotImplementedException

- All Implemented Interfaces:
    java.io.Serializable

      public class OkapiNotImplementedException
      extends OkapiException

  Signals that a non-implemented method was called, or a non-implemented feature was invoked. This is generally due to a class that cannot implement a method of an Okapi interface because of specific requirement.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OkapiNotImplementedException()` Creates an empty new OkapiNotImplementedException object.
    `OkapiNotImplementedException(java.lang.String message)` Creates a new OkapiNotImplementedException object with a given message.
    `OkapiNotImplementedException(java.lang.String message, java.lang.Throwable cause)` Creates a new OkapiNotImplementedException object with a given message and a given parent exception cause.
    `OkapiNotImplementedException(java.lang.Throwable cause)` Creates a new OkapiNotImplementedException object with a given parent exception cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OkapiNotImplementedException

          public OkapiNotImplementedException()

      Creates an empty new OkapiNotImplementedException object.

    - #### OkapiNotImplementedException

          public OkapiNotImplementedException(java.lang.String message)

      Creates a new OkapiNotImplementedException object with a given message.
      Parameters:
        `message` - text of the message.

    - #### OkapiNotImplementedException

          public OkapiNotImplementedException(java.lang.Throwable cause)

      Creates a new OkapiNotImplementedException object with a given parent exception cause.
      Parameters:
        `cause` - the parent exception cause.

    - #### OkapiNotImplementedException

          public OkapiNotImplementedException(java.lang.String message,
                                      java.lang.Throwable cause)

      Creates a new OkapiNotImplementedException object with a given message and a given parent exception cause.
      Parameters:
        `message` - the message.
        `cause` - the cause.